CUTLASS: cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy Struct Reference

Internal structure of iterator - made public to enable introspection.

`#include <mma_tensor_op_tile_iterator_sm70.h>`

## Public Types
using | LdsShape = layout::PitchLinearShape< 1, 32 >
| Shape of one individual LDS instruction. More...
using | LdsIterations = layout::PitchLinearShape< 1, Shape::kStrided/32 >
| Number and arrangement of LDSM instructions. More...

## Static Public Attributes
static int const | kElementsPerAccess = 8
| Using LDS.128. More...
static int const | kContiguousElementsPerLine = 4
| Contiguous elements per line. More...

## Member Typedef Documentation

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int KBlock>

using cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy::LdsIterations = layout::PitchLinearShape<1, Shape::kStrided / 32>

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int KBlock>

using cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy::LdsShape = layout::PitchLinearShape<1, 32>

## Member Data Documentation

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int KBlock>

int const cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy::kContiguousElementsPerLine = 4
| static

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int KBlock>

int const cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::VoltaTensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, KBlock >, InstructionShape_, OpDelta_, 32 >::Policy::kElementsPerAccess = 8
| static

The documentation for this struct was generated from the following file:

- mma_tensor_op_tile_iterator_sm70.h